@charset "UTF-8";

/*!
Theme Name: Cocoon Child
Description: Cocoon専用の子テーマ
Theme URI: https://wp-cocoon.com/
Author: わいひら
Author URI: https://nelog.jp/
Template: cocoon-master
Version: 1.1.3
*/

/************************************
** 子テーマ用のスタイル
************************************/

.custom-title {
    color: white;
    background-color: #E83874;
    padding: 10px;
    border-radius: 5px;
    text-align: left;
    margin: 20px 0;
    font-size: 24px;
}

/* 簡単な紹介文 */
.intro-text {
    margin-top: 20px;
}

/* カスタム見出し */
.custom-heading {
    font-size: 1.5em;
    color: #ff69b4;
    text-align: left;
    position: relative;
    margin: 20px 0;
    padding-bottom: 10px;
}

.custom-heading::after {
    content: "";
    display: block;
    width: 100%;
    height: 4px;
    background-color: #ff69b4;
    position: absolute;
    left: 0;
    bottom: 0;
}

.no-underline::after {
    display: none !important;
}

.h3-heading {
    font-size: 1.0em;
    color: #000;
    font-weight: bold;
}

/************************************
** Slick Slider
************************************/

.slick-slide {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 450px;
}

.slick-slide img {
    width: auto;
    height: 100%;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    object-fit: cover;
}

/* ナビボタン */
.slick-prev,
.slick-next {
    width: 40px;
    height: 40px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    border: none;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 1;
    font-size: 0;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
}

/* 前へ */
.slick-prev {
    background-image: url('https://xn--ickua0p876i4zt996c.mikawayakakkokari.jp/wp-content/uploads/sites/12/2024/09/矢印ボタン　左3.png');
    left: 10px;
}

/* 次へ */
.slick-next {
    background-image: url('https://xn--ickua0p876i4zt996c.mikawayakakkokari.jp/wp-content/uploads/sites/12/2024/09/矢印ボタン　右3.png');
    right: 10px;
}

.slick-prev:hover,
.slick-next:hover {
    background-color: rgba(0, 0, 0, 0.5);
    color: #ddd;
}

/* ドット */
.slick-dots {
    position: absolute;
    bottom: -25px;
    width: 100%;
    text-align: center;
    padding: 0;
    margin: 0;
}

.slick-dots li {
    display: inline-block;
}

.slick-dots li button {
    width: 10px;
    height: 10px;
    background-color: #ccc;
    border-radius: 50%;
    display: block;
    padding: 0;
    margin: 0 5px;
    border: none;
    outline: none;
    font-size: 0;
}

.slick-dots li.slick-active button {
    background-color: #333;
}

.slick-dots button:before {
    display: none;
}

/************************************
** レスポンシブ
************************************/

@media screen and (max-width: 1023px) {
}

@media screen and (max-width: 834px) {
}

@media screen and (max-width: 480px) {
}